RubyGems Navigation menu

http 3.0.0.pre

An easy-to-use client library for making requests from Ruby. It uses a simple method chaining system for building requests, similar to Python's Requests.

Versions:

  1. 5.0.0.pre3 - February 26, 2020 (75.5 KB)
  2. 5.0.0.pre2 - January 23, 2020 (75.5 KB)
  3. 5.0.0.pre - February 04, 2019 (72 KB)
  4. 4.4.1 - March 29, 2020 (74 KB)
  5. 4.4.0 - March 25, 2020 (73.5 KB)
  6. 3.0.0.pre - September 10, 2017 (68 KB)
Show all versions (95 total)

Runtime Dependencies (4):

  • addressable ~> 2.3
  • http-cookie ~> 1.0
  • http-form_data < 3, >= 2.0.0.pre.pre2
  • http_parser.rb ~> 0.6.0
  • Development Dependencies (1):

  • bundler ~> 1.0
  • Owners:

    Authors:

    • Tony Arcieri, Erik Michaels-Ober, Alexey V. Zapparov, Zachary Anker

    SHA 256 checksum:

    960e1e1d0ede135b841e2556e3284e621745ebddba32c9ce40f01fb74ac50520

    Total downloads 35,512,500

    For this version 875

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.0

    Required Rubygems Version: > 1.3.1

    Links: